Summary:	The C++ Unit Test Library
Summary(pl.UTF-8):	Biblioteka testowa do C++
Name:		cppunit
Version:	1.15.1
Release:	1%{?tld}
License:	LGPL
Group:		Libraries
Source0:	http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.gz
# Source0-md5:	9dc669e6145cadd9674873e24943e6dd
URL:		https://www.freedesktop.org/wiki/Software/cppunit/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:1.4d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CppUnit is the C++ port of the famous JUnit framework for unit
testing.

%description -l pl.UTF-8
CppUnit jest portem C++ słynnego środowiska testowego JUnit.

%package devel
Summary:	cppunit header files
Summary(pl.UTF-8):	Pliki nagłówkowe cppunit
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.7

%description devel
cppunit header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe cppunit.

%package static
Summary:	cppunit static library
Summary(pl.UTF-8):	Statyczna biblioteka cppunit
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
cppunit static library.

%description static -l pl.UTF-8
Statyczna biblioteka cppunit.

%package apidocs
Summary:	cppunit API documentation
Summary(pl.UTF-8):	Dokumentacja API cppunit
Group:		Documentation
BuildArch:	noarch

%description apidocs
cppunit API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API cppunit.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcppunit.la
# non-Linux
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/cppunit/config/config-{bcb5,evc4,mac,msvc6}.h
# packaged as %doc in -apidocs
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/cppunit/html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/DllPlugInTester
%attr(755,root,root) %{_libdir}/libcppunit-1.15.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcppunit-1.15.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/FAQ
%attr(755,root,root) %{_libdir}/libcppunit.so
%{_includedir}/cppunit
%{_pkgconfigdir}/cppunit.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcppunit.a

%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%changelog
* Sun May 05 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/cppunit.git;a=log;h=master

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 2872e4b
- unconditional noarch subpackages

* Fri May 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 20d8d07
- updated to 1.15.1 (new soname)

* Wed Apr 19 2017 Jakub Bogusz <qboosh@pld-linux.org> af9c11c
- updated to 1.14.0 (note: new soname, C++11 now)
- dropped .la; .m4 and cppunit-config removed upstream

* Thu Apr 06 2017 Jakub Bogusz <qboosh@pld-linux.org> eb6588a
- updated URLs

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 728b123
- release 4 (by relup.sh)

* Wed Feb 25 2015 Elan Ruusamäe <glen@delfi.ee> a668353
- x32 rebuild
- release 3 (by relup.sh)

* Sun Mar 30 2014 Elan Ruusamäe <glen@delfi.ee> 761c9fd
- noarch apidocs

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 4ec5e49
- new home and maintainters; updated to 1.13.2

* Mon Jun 18 2012 Jan Rękorajski <baggins@pld-linux.org> 60c875f
- release 4

* Fri Jun 15 2012 Jan Rękorajski <baggins@pld-linux.org> 8332aad
- rel 3

* Sun Sep 27 2009 Marcin Banasiak <marcin.banasiak@gmail.com> c94aa9f
- added -apidocs subpackage
- release 2

* Tue Jun 17 2008 Jakub Bogusz <qboosh@pld-linux.org> bea96af
- updated to 1.12.1

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d1923c9
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 44cfde9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e7caeaa
- converted to UTF-8

* Sat Jul 01 2006 Jakub Bogusz <qboosh@pld-linux.org> 7cd9786
- updated to 1.12.0

* Wed Mar 08 2006 Jakub Bogusz <qboosh@pld-linux.org> a4a593a
- updated to 1.11.6

* Sun Nov 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 0289035
- updated to 1.11.4

* Sat Nov 05 2005 adgor <adgor@pld-linux.org> 6d540b7
- Fixed things

* Wed Oct 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 060f251
- updated to 1.11.2
- don't package html docs twice

